Get tag by ID
curl --request GET \
--url https://{subdomain}.nudj.cx/api/v2/admin/tags/{id} \
--header 'x-api-token: <api-key>'import requests
url = "https://{subdomain}.nudj.cx/api/v2/admin/tags/{id}"
headers = {"x-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-token': '<api-key>'}};
fetch('https://{subdomain}.nudj.cx/api/v2/admin/tags/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organisationId": "<string>",
"value": "<string>",
"config": {
"filtering": [
"achievement"
],
"display": [
"achievement"
],
"iconifyIcon": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Tags
Get tag by ID
Retrieve a specific tag by its ID.
GET
/
tags
/
{id}
Get tag by ID
Authorizations
Headers
The language to return the tag in. If not provided, the default language for the organisation will be used.
Path Parameters
The ID of the tag to retrieve
Response
Successful response
A tag
The id of the tag
Pattern:
^[0-9a-fA-F]{24}$The id of the organisation the tag belongs to
Pattern:
^[0-9a-fA-F]{24}$The value of the tag
Minimum string length:
1The configuration of a tag
Show child attributes
Show child attributes
The date the tag was created
The date the tag was last updated
The id of the user who created the tag
Pattern:
^[0-9a-fA-F]{24}$The id of the user who last updated the tag
Pattern:
^[0-9a-fA-F]{24}$Was this page helpful?

